# Wie kann man diese Anleitung ergänzen

Da diese Anleitung immer auf dem neusten Stand gehalten werden soll ist es unerlässlich, dass alle mithelfen.

## Ein neues Kapitel erstellen

Die Anleitung wird verwaltet über den Link: https://git.uhle.cloud/Film-AG/Equipment/

In dem Ordner src sind die bereits existierenden Kapitel aufgelistet. Um diese zu bearbeiten, oder ein neues Kapitel zu erstellen benötigt man ein Konto auf https://git.uhle.cloud . Dieses Konto kann von Herrn Dietrich erstellt werden. Bitte einen Verantwortlichen der Film AG Herrn Dietrich eine entsprechende email zu schreiben.

Ist man eingeloggt und hat die nötigen Zugangsrechte, sollte die folgende Seite so aussehen:

![Screenshot](./img/anleitung_fuer_kapitel/Repository.png)

Über der liste der vorhandenen Kapitel sind auf der rechen Seite die Knöpfe `Neue Datei`, `Datei hochladen` und `Verlauf `. Man erstellt jetzt eine neue Datei mit dem entsprechenden Knopf - Achtung die neue Datei muss in dem `src` Ordner erstellt werden. Im Folgenden Fenster muss man einen Dateinamen eingeben. Der Übersicht halber hier einen Namen wählen, der das Kapitel möglichst gut beschreibt. Bei der Namenwahl bitte darauf achten, dass nur Buchstaben und `_`, `-`, `.` im Dateinamen vorkommen und der Name mit `.md` endet. Zum Beispiel `Kapitel_Alpha7.md`.

![Screenshot](./img/anleitung_fuer_kapitel/Neue_Datei.png)

Sie können schon jetzt den Text eingeben, Sie können aber auch erstmal die Datei abspeichern. Zum Abspeichern klicken Sie ganz unten auf der Seite auf `Änderungen comitten`. Das System speichert jede Version und man kann auch jede Version anzeigen. Es ist schön, wenn jeder `commit` einen (kurzen) Kommentar bekommt, was geändert wurde. Diesen kann man direkt über dem Knopf `Änderungen comitten` eintragen.

Nach dem Comitten müsste die neue Datei in der Liste mit auftauchen.

Als nächstes muss die Datei `SUMMARY.md` geändert werden. Einfach nach einem Klick auf diese Datei oben rechts auf das kleine Bleistiftsymbol (direkt neben dem Mülltonnensymbol) klicken und die Datei anpassen.

![Screenshot](./img/anleitung_fuer_kapitel/Summary.png)

Hier muss das neue Kapitel eingefügt werden, indem eine neue Zeile hinzugefügt wird. Am einfachsten kopiert man eine Zeile und verändert den Titel des Kapitels zwischen den Eckigen Klammern und den Dateinamen zwischen den runden Klammern.

Eine Beispielzeile (alt):

```md
- [Einleitung](./chapter_1.md)
```

wird verändert zu:

```md
- [Einleitung](./chapter_1.md)
- [Die Kameragehäuse Sony Alpha 7](./Kapitel_Alpha7.md)
```

Die Reihenfolge ist dieselbe, wie nacher auch im Inhaltsverzeichnis man sollte also darauf achten die neue Zeile an der richtigen Stelle einzufügen.
